#
# spec file for package cyrus-sasl (Version 2.1.21)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs db db-devel diffutils e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 krb5-devel less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools mysql-client mysql-devel mysql-shared ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel opie pam pam-devel pam-modules patch perl permissions popt postgresql-devel postgresql-libs procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           cyrus-sasl
BuildRequires:  db-devel krb5-devel mysql-devel openssl-devel opie pam-devel postgresql-devel
Obsoletes:      cyrus-sasl2
Provides:       cyrus-sasl2
License:        Other License(s), see package, BSD
Group:          Productivity/Networking/Other
URL:            http://asg.web.cmu.edu/sasl/
Autoreqprov:    on
Summary:        Implementation of Cyrus SASL API
Version:        2.1.21
Release:        18.4
Source:         cyrus-sasl-%{version}.tar.bz2
Source1:        SuSE.tar.gz
Source2:        README.Source
Patch:          cyrus-sasl-%{version}.dif
Patch1:         shared_link_on_ppc.patch
Patch2:         cyrus-sasl-gcc4.patch
Patch3:         saslauthd-shadow.dif
Prereq:         %insserv_prereq %fillup_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#
%debug_package
%package      gssapi
Obsoletes:      cyrus-sasl2-gssapi
Provides:       cyrus-sasl2-gssapi
Summary:        cyrus-sasl plugin for the GSSAPI mechanism
Autoreqprov:    on
Group:          Productivity/Networking/Other
Prefix:         %{_prefix}
Requires:       cyrus-sasl
#
%package      crammd5
Summary:        cyrus-sasl plugin for the CRAMMD5 mechanism
Autoreqprov:    on
Group:          Productivity/Networking/Other
Prefix:         %{_prefix}
Requires:       cyrus-sasl
Provides:       cyrus-sasl:%{_libdir}/sasl2/libcrammd5.so
Provides:       cyrus-sasl2:%{_libdir}/sasl2/libcrammd5.so
#
%package      digestmd5
Summary:        cyrus-sasl plugin for the DIGESTMD5 mechanism
Autoreqprov:    on
Group:          Productivity/Networking/Other
Prefix:         %{_prefix}
Requires:       cyrus-sasl
Provides:       cyrus-sasl:%{_libdir}/sasl2/libdigestmd5.so
Provides:       cyrus-sasl2:%{_libdir}/sasl2/libdigestmd5.so
#
%package      otp
Summary:        cyrus-sasl plugin for the OTP mechanism
Autoreqprov:    on
Group:          Productivity/Networking/Other
Prefix:         %{_prefix}
Requires:       cyrus-sasl
Provides:       cyrus-sasl:%{_libdir}/sasl2/libotp.so
Provides:       cyrus-sasl2:%{_libdir}/sasl2/libotp.so
#
%package      plain
Summary:        cyrus-sasl plugin for the PLAIN mechanism
Autoreqprov:    on
Group:          Productivity/Networking/Other
Prefix:         %{_prefix}
Requires:       cyrus-sasl
Provides:       cyrus-sasl:%{_libdir}/sasl2/libplain.so
Provides:       cyrus-sasl2:%{_libdir}/sasl2/libplain.so
#
%package      sqlauxprop
Summary:        cyrus-sasl SQL auxprop plugin
Autoreqprov:    on
Group:          Productivity/Networking/Other
Prefix:         %{_prefix}
Requires:       cyrus-sasl
#
%package      devel
Obsoletes:      cyrus-sasl2-devel
Provides:       cyrus-sasl2-devel
Summary:        Cyrus SASL API Implementation, Libraries and Header Files
Autoreqprov:    on
Group:          Productivity/Networking/Other
Prefix:         %{_prefix}
Requires:       cyrus-sasl = %{version}, glibc-devel

%description
This is the Cyrus SASL API. It can be used on the client or server side
to provide authentication. See RFC 2222 for more information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu


%description gssapi
This is the Cyrus SASL API implementation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu


%description devel
This is the Cyrus SASL API. It can be used on the client or server side
to provide authentication. See RFC 2222 for more information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu


%description digestmd5
This is the Cyrus SASL API implementation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu


%description crammd5
This is the Cyrus SASL API implementation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu


%description otp
This is the Cyrus SASL API implementation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu


%description plain
This is the Cyrus SASL API implementation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu


%description sqlauxprop
The SQL auxprop plugin supports PostgreSQL and MySQL



Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu

%prep
%setup -n cyrus-sasl-%{version} -a 1
if [ -e %{_builddir}/%{name}-%{version}/dlcompat-*/ ]
then
    echo "dlcompat contains potential legal risks."
    exit 1;
fi
%patch
%patch1
%patch2
%patch3 -p1

%build
find . -name \*.cvsignore -print0 | xargs -0 rm -fv
%{suse_update_config -f config}
%{suse_update_config -f saslauthd/config}
# has old libtool macros (and nothing else)
rm -f acinclude.m4
rm -f saslauthd/acinclude.m4
rm -rf autom4te.cache
rm -rf saslauthd/autom4te.cache
# libtoolize --force
# cyrus-sasl2 does not work, when using newer libtool
aclocal -I cmulocal -I config
automake
autoheader
autoconf
cd saslauthd
autoconf
cd -
export CFLAGS="-fno-strict-aliasing $RPM_OPT_FLAGS"
export CPPFLAGS=-I/usr/include/heimdal
./configure 	--libdir=%{_libdir} \
		--with-plugindir=%{_libdir}/sasl2 \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=%{_mandir} \
		--with-saslauthd=/var/run/sasl2/ \
		--enable-pam \
		--enable-sample \
		--enable-login \
		--enable-gssapi \
		--enable-krb4=no \
                --enable-sql \
                --with-mysql=/usr/include/mysql \
                --with-pgsql=/usr/include/pgsql \
		--with-devrandom=/dev/urandom
make sasldir=%{_libdir}/sasl2

%install
make DESTDIR=$RPM_BUILD_ROOT sasldir=%{_libdir}/sasl2 install
install -m 755 -d $RPM_BUILD_ROOT/var/run/sasl2
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 sample/.libs/client $RPM_BUILD_ROOT/usr/bin/cyrus_sasl_sample_client
install -m 755 sample/.libs/server $RPM_BUILD_ROOT/usr/bin/cyrus_sasl_sample_server
cd utils
gcc -Wall -W -O2 -fmessage-length=0 -o dbconverter dbconverter-2.o ../sasldb/.libs/libsasldb.al -lresolv ../lib/.libs/libsasl2.so -ldl -ldb
#gcc -Wall -W -O2 -fmessage-length=0 -o dbconverter dbconverter-2.o ../sasldb/.libs/libsasldb.al -lresolv ../lib/.libs/libsasl2.so -ldl -ldb -Wl,--rpath -Wl,/usr/src/packages/BUILD/cyrus-sasl-2.1.12/lib/.libs
install -m 755 dbconverter $RPM_BUILD_ROOT/usr/sbin/dbconverter
rm -f $RPM_BUILD_ROOT/%{_mandir}/cat?/*
rm -f $RPM_BUILD_ROOT/usr/sbin/saslauthd
find $RPM_BUILD_ROOT/%{_libdir}/sasl2 -name "*.la" | xargs rm -f

%post
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_libdir}/sasl2
%{_libdir}/sasl2/libanonymous.so*
%{_libdir}/sasl2/liblogin.so*
%{_libdir}/sasl2/libsasldb.so*
%{_libdir}/libsasl2.so.*
/usr/sbin/*
/usr/bin/*
%dir %attr(0755,root,root) /var/run/sasl2
#%doc %{_mandir}/cat8
%doc %{_mandir}/man3/sasl.*.gz
%doc %{_mandir}/man8/*.gz
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README doc
%doc saslauthd/AUTHORS saslauthd/COPYING saslauthd/ChangeLog saslauthd/INSTALL saslauthd/LDAP_SASLAUTHD saslauthd/NEWS saslauthd/README 

%files gssapi
%defattr(-,root,root)
%{_libdir}/sasl2/libgssapiv2.so*

%files crammd5
%defattr(-,root,root)
%{_libdir}/sasl2/libcrammd5.so*

%files digestmd5
%defattr(-,root,root)
%{_libdir}/sasl2/libdigestmd5.so*

%files otp
%defattr(-,root,root)
%{_libdir}/sasl2/libotp.so*

%files plain
%defattr(-,root,root)
%{_libdir}/sasl2/libplain.so*

%files sqlauxprop
%defattr(-,root,root)
%{_libdir}/sasl2/libsql.so*

%files devel
%defattr(-,root,root)
/usr/include/sasl
%doc %{_mandir}/man3/sasl_*.gz
%{_libdir}/libsasl2.so
%{_libdir}/libsasl2.la

%changelog -n cyrus-sasl
* Tue May 30 2006 - rhafer@suse.de
- include "crypt.h" in auth_shadow.c to avoid possible crash in
  saslauthd (Bug #179621)
* Mon Apr 03 2006 - rhafer@suse.de
- remove dlcompat-20010505 from tarball because of legal risk and
  documented this in README.Source (Bug: #161390)
- added check for dlcompat-20010505 to the spec file
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 23 2005 - choeger@suse.de
- Bugfix ID#134491, cyrus-sasl-sqlauxprop is not linked against any database
* Mon Sep 26 2005 - ro@suse.de
- added LDAP_DEPRECATED to CFLAGS
* Wed Jul 13 2005 - choeger@suse.de
- use /dev/urandom instead of /dev/random, see
  http://acs-wiki.andrew.cmu.edu/twiki/bin/view/Cyrus/POP3DevRandomIssue
  for an explanation
- removed the useless .la files from rpm
* Tue May 17 2005 - choeger@suse.de
- update to version 2.1.21
* Mon Mar 14 2005 - choeger@suse.de
- now also build the sql auxprop plugin; created new subpackage
  cyrus-sasl-sqlauxprop
* Fri Feb 25 2005 - uli@suse.de
- better GCC4 fix
* Fri Feb 25 2005 - uli@suse.de
- fixed to build with GCC4
* Tue Nov 02 2004 - mmj@suse.de
- Get rid of .cvsignore files
- Don't remove buildroot before install
* Mon Oct 25 2004 - choeger@suse.de
- update to version 2.1.20
* Wed Oct 06 2004 - choeger@suse.de
- Bugfix ID#46847 - VUL-0: SASL environment variable local root
* Mon Sep 20 2004 - choeger@suse.de
- package binaries of sample-client and -server instead of
  shell wrappers (which do not work)
* Fri Sep 17 2004 - choeger@suse.de
- removed saslauthd from cyrus-sasl requires, as it is only
  needed on a "server" side and also not in every case (buildin
  mechanisms as CRAM- or DIGEST-MD5 do not need it)
- added split-provides for saslauthd
* Mon Sep 06 2004 - choeger@suse.de
- added testsaslauthd to filelist
- removed saslauthd and insserv makros from cyrus-sasl.spec
* Fri Sep 03 2004 - choeger@suse.de
- splitted up cyrus-sasl-saslauthd.spec, to resolve the cyclic
  dependency openldap2 <-> cyrus-sasl with saslauthd having
  LDAP support
* Tue Aug 31 2004 - choeger@suse.de
- removed update messages and implemented "split-provides"
  instead
* Tue Aug 31 2004 - choeger@suse.de
- added LDAP support for saslauthd, Bugzilla ID#44051
* Mon Aug 30 2004 - choeger@suse.de
- Bugfix Bugzilla ID#44346 - still using /var/adm/notify
  now using new update messages mechanism
- added sample/client sample/server to file list
* Thu Jul 15 2004 - choeger@suse.de
- update to version 2.1.19
* Tue Jun 15 2004 - choeger@suse.de
- bugfix id#39245 - cyrus-sasl includes straycat man page
* Fri Mar 12 2004 - choeger@suse.de
- update to version 2.1.18 (Bugfix Release)
* Tue Jan 27 2004 - choeger@suse.de
- Bugfix ID#34159 - cyrus-sasl: world-writeable rpath
* Thu Jan 22 2004 - choeger@suse.de
- Bugfix Bugzilla ID#34019, notice users about the fact, that
  cyrus-sasl has been splitted into subpackages
* Fri Jan 16 2004 - kukuk@suse.de
- Add pam-devel to neededforbuild
* Tue Dec 02 2003 - choeger@suse.de
- update to version 2.1.17
* Fri Oct 31 2003 - choeger@suse.de
- Don't build as root
* Fri Oct 17 2003 - kukuk@suse.de
- Remove unused des from neededforbuild
* Tue Sep 16 2003 - kukuk@suse.de
- Add missing Provides [Bug #31005]
* Mon Sep 01 2003 - choeger@suse.de
- removed "-u root" from startproc as it always failes
- removed link to doc/components.html from doc/index.html as
  components.html does not exist (Bugzilla ID#29253)
* Thu Aug 14 2003 - choeger@suse.de
- Bugfix Bugzilla ID#28932:
  missing activation metadata in sysconfig template
* Wed Jul 30 2003 - choeger@suse.de
- new macros for stop/restart of services on rpm update/removal
* Tue Jul 15 2003 - choeger@suse.de
- update to version 2.1.15
* Mon Jun 30 2003 - choeger@suse.de
- update to version 2.1.14
* Wed Jun 18 2003 - ro@suse.de
- use kerberos-devel-packages in neededforbuild
* Fri Jun 13 2003 - kukuk@suse.de
- Add missing directory to filelist
* Fri May 09 2003 - choeger@suse.de
- use -ldb instead of -ldb-x.y to manually link the
  dbconverter
* Tue May 06 2003 - choeger@suse.de
- update to version 2.1.13
* Tue Apr 15 2003 - ro@suse.de
- added krb4-lib,krb4-devel to neededforbuild
* Mon Apr 07 2003 - choeger@suse.de
- renamed to cyrus-sasl
- splitted libraries for the following auth methods into seperate
  packages:
- crammd5
- digestmd5
- otp
- plain
  this is to prevent from annoying warnings about missing proper
  setup of mechanisms we don't use
* Thu Mar 06 2003 - choeger@suse.de
- ever used dbconverter-2? Well it is just a shell script
  which uses the damn compiled source tree... :-(
  manually building dbconverter to let users convert their
  /etc/sasldb from v1 to v2 using /usr/sbin/dbconverter
* Thu Mar 06 2003 - choeger@suse.de
- as cyrus-sasl is dropped now:
  provide cyrus-sasl-*, obsolete cyrus-sasl-*
  (Bugzilla ID# 24762)
* Tue Feb 04 2003 - choeger@suse.de
- update to cyrus-sasl-2.1.12, bug-fix release.
  This release addresses a few minor build and distribution
  related issues
* Mon Feb 03 2003 - choeger@suse.de
- update to cyrus-sasl-2.1.11, bug-fix release.
  It addresses a number of issues in the build system, a
  memory leak in the doors IPC method for saslauthd, and fixes the NTLM
  server side support to only require one of the LM or NT methods.
* Thu Jan 23 2003 - choeger@suse.de
- don't use new libtool macros as cyrus-sasl2 seems to not
  work when using them.
- added patch to compile shared libraries on ppc
* Wed Jan 15 2003 - kukuk@suse.de
- Remove openldap2 from needed for build
* Tue Jan 14 2003 - choeger@suse.de
- do not build the static library anymore
* Wed Dec 11 2002 - choeger@suse.de
- added sysconfig metadata to sysconfig templates
* Tue Dec 10 2002 - choeger@suse.de
- update to version 2.1.10
  This version corrects a number of DIGEST-MD5
  interoperability issues, as well as corrects some potential buffer
  overflows.
* Thu Oct 31 2002 - ro@suse.de
- make it build again
* Tue Oct 29 2002 - ro@suse.de
- remove own libtool macros
* Thu Oct 24 2002 - choeger@suse.de
- update to latest version 2.1.9
* Thu Sep 12 2002 - choeger@suse.de
- Bugfix Bugzilla ID#19383: cyrus-sasl-devel should conflict
  with cyrus-sasl2-devel, because they contain files with the
  same name
* Mon Aug 19 2002 - rhafer@suse.de
- enabled building of the static libsasl.a. It is needed for
  cyrus-imap to be usable with nss_ldap (which is linked against
  cyrus-sasl1)
* Mon Aug 12 2002 - choeger@suse.de
- update to version 2.1.7
* Thu Aug 08 2002 - choeger@suse.de
- added .la files to the sasl2 plugin directory
  ([lt_]dlopen seems to need that)
* Mon Aug 05 2002 - choeger@suse.de
- added Prereq
* Sat Jul 27 2002 - adrian@suse.de
- add %%run_ldconfig
* Wed Jul 17 2002 - choeger@suse.de
- update to version 2.1.6
* Wed Jun 19 2002 - choeger@suse.de
- also install dbconverter-2 to be able to migrate from
  cyrus-sasl(1)
* Tue Jun 18 2002 - choeger@suse.de
- /var/run/sasl2 must be 755 to let non root daemons
  connect to unix socket
* Tue Jun 18 2002 - choeger@suse.de
- added initscript and sysconfig file for saslauthd
- added docs
* Tue Jun 18 2002 - rhafer@suse.de
- added opie to needforbuild
- should build on ppc64 and s390x now
* Mon Jun 17 2002 - rhafer@suse.de
- additional autoconf related patches, that were missing at first
  check in
* Mon Jun 17 2002 - rhafer@suse.de
- Initial checkin of cyrus-sasl-2.1.5
